testing/libmaa: new aport v1 PROPOSED

Export patchset (mbox)
How do I use this?

Copy & paste the following snippet into your terminal to import this patchset into git:

curl -s https://lists.alpinelinux.org/~alpine/devel/%3Calpine.LNX.2.20.1503262120210.2247%40st.ilet.to%3E/mbox | git am -3
Learn more about email & git

[alpine-devel] [PATCH] testing/libmaa: new aport Export this patch

ScrumpyJack
Provides many low-level data structures which are helpful for writing compilers
http://sourceforge.net/projects/dict/
---
 testing/libmaa/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/libmaa/APKBUILD

diff --git a/testing/libmaa/APKBUILD b/testing/libmaa/APKBUILD
new file mode 100644
index 0000000..fb9b471
--- /dev/null
+++ b/testing/libmaa/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: ScrumpyJack <scrumpyjack@me.com>
+# Maintainer:
+pkgname=libmaa
+pkgver=1.3.2
+pkgrel=0
+pkgdesc="Provides many low-level data structures which are helpful for writing compilers"
+url="http://sourceforge.net/projects/dict/"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="libtool perl flex"
+install=""
+subpackages="$pkgname-dev"
+source="http://downloads.sourceforge.net/dict/${pkgname}-${pkgver}.tar.gz"
+options="libtool"
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        ./configure --prefix=/usr
+          make
+}
+
+package() {
+	cd "$_builddir"
+        make DESTDIR="${pkgdir}" install
+}
+
+md5sums="01dab2cde2e0a322653e45bfa63537ee  libmaa-1.3.2.tar.gz"
+sha256sums="59a5a01e3a9036bd32160ec535d25b72e579824e391fea7079e9c40b0623b1c5  libmaa-1.3.2.tar.gz"
+sha512sums="dde91e8bf1c08515ff4662282d16a03b18a1dfb16eb7b95be980ba398ed1e65d8cd88e58d454e03a03f48a5ecca8bf23b4ebaf475a98630a9178318c12a1b176  libmaa-1.3.2.tar.gz"
-- 
2.3.4




---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
View this thread in the archives